Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## charva.awt
Class Point

    java.lang.Object
      charva.awt.Point

All Implemented Interfaces:
  java.lang.Cloneable

public class Point
extends java.lang.Object
implements java.lang.Cloneable

Represents a point in (x,y) coordinate space, with integer precision.

Field Summary
`int` | `x`
`int` | `y`

Constructor Summary
`Point(int x_, int y_)`
`Point(Point point_)`

Method Summary
`Point` | `addOffset(Dimension d_)`
`Point` | `addOffset(int x_, int y_)`
`Point` | `addOffset(Point p_)`
`java.lang.Object` | `clone()`
`boolean` | `equals(Point other_)` Returns true is this Point is equal to the specified Point.
`boolean` | `isInside(Rectangle rect_)` Returns true if this point is inside the specified rectangle.
`Point` | `subtractOffset(Point p)`
`java.lang.String` | `toString()`
`void` | `translate(int dx_, int dy_)` Translates this point by dx_ along the x axis and by dy_ along the y axis.
`void` | `translate(Point point_)` Translates this point by the x and y values given in "point_"

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### x

    public int x

### y

    public int y

Constructor Detail

### Point

    public Point(int x_,
                 int y_)

### Point

    public Point(Point point_)

Method Detail

### addOffset

    public Point addOffset(Point p_)

### addOffset

    public Point addOffset(Dimension d_)

### addOffset

    public Point addOffset(int x_,
                           int y_)

### subtractOffset

    public Point subtractOffset(Point p)

### translate

    public void translate(int dx_,
                          int dy_)

  Translates this point by dx_ along the x axis and by dy_ along the y axis.

### translate

    public void translate(Point point_)

  Translates this point by the x and y values given in "point_"

### isInside

    public boolean isInside(Rectangle rect_)

  Returns true if this point is inside the specified rectangle.

### equals

    public boolean equals(Point other_)

  Returns true is this Point is equal to the specified Point.

### toString

    public java.lang.String toString()

### clone

    public java.lang.Object clone()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD